libzypp: zypp::media::ml_parsedata Struct Reference

libzypp 17.38.11

zypp::media::ml_parsedata Struct Reference
Inheritance diagram for zypp::media::ml_parsedata:

## Public Member Functions
| ml_parsedata ()
| ~ml_parsedata ()
void | doTransition (const transition &t)
void | popState ()

## Public Attributes
AutoDispose< xmlParserCtxtPtr > | parser
ParserState | state
std::stack< ParserState > | parentStates
int | depth
int | statedepth
std::string | content
int | docontent
int | gotfile
off_t | size
std::vector< MetalinkMirror > | urls
size_t | blksize
std::vector< UByteArray > | piece
int | piecel
std::vector< UByteArray > | sha1
std::vector< UByteArray > | zsync
UByteArray | chksum
int | chksuml
std::optional< filesystem::Pathname > | _filename
std::exception_ptr | _lastError

## Detailed Description

Definition at line 128 of file metalinkparser.cc.

## Constructor & Destructor Documentation

## ◆ ml_parsedata()

zypp::media::ml_parsedata::ml_parsedata | ( |  | ) |
| inline

Definition at line 129 of file metalinkparser.cc.

## ◆ ~ml_parsedata()

zypp::media::ml_parsedata::~ml_parsedata | ( |  | ) |
| inline

Definition at line 158 of file metalinkparser.cc.

## Member Function Documentation

## ◆ doTransition()

void zypp::media::ml_parsedata::doTransition | ( | const transition & | t | ) |
| inline

Definition at line 164 of file metalinkparser.cc.

## ◆ popState()

void zypp::media::ml_parsedata::popState | ( |  | ) |
| inline

Definition at line 172 of file metalinkparser.cc.

## Member Data Documentation

## ◆ parser

AutoDispose<xmlParserCtxtPtr> zypp::media::ml_parsedata::parser

Definition at line 179 of file metalinkparser.cc.

## ◆ state

ParserState zypp::media::ml_parsedata::state

Definition at line 181 of file metalinkparser.cc.

## ◆ parentStates

std::stack<ParserState> zypp::media::ml_parsedata::parentStates

Definition at line 182 of file metalinkparser.cc.

## ◆ depth

int zypp::media::ml_parsedata::depth

Definition at line 184 of file metalinkparser.cc.

## ◆ statedepth

int zypp::media::ml_parsedata::statedepth

Current element depts expected by the current state, if depth != statedepth we ignore all elements and just increase and decrease depth until they match again. This is basically a helper variable that allows us to ignore elements we do not care about

Definition at line 191 of file metalinkparser.cc.

## ◆ content

std::string zypp::media::ml_parsedata::content

Definition at line 193 of file metalinkparser.cc.

## ◆ docontent

int zypp::media::ml_parsedata::docontent

Definition at line 194 of file metalinkparser.cc.

## ◆ gotfile

int zypp::media::ml_parsedata::gotfile

Definition at line 196 of file metalinkparser.cc.

## ◆ size

off_t zypp::media::ml_parsedata::size

Definition at line 197 of file metalinkparser.cc.

## ◆ urls

std::vector<MetalinkMirror> zypp::media::ml_parsedata::urls

Definition at line 198 of file metalinkparser.cc.

## ◆ blksize

size_t zypp::media::ml_parsedata::blksize

Definition at line 199 of file metalinkparser.cc.

## ◆ piece

std::vector<UByteArray> zypp::media::ml_parsedata::piece

Definition at line 201 of file metalinkparser.cc.

## ◆ piecel

int zypp::media::ml_parsedata::piecel

Definition at line 202 of file metalinkparser.cc.

## ◆ sha1

std::vector<UByteArray> zypp::media::ml_parsedata::sha1

Definition at line 204 of file metalinkparser.cc.

## ◆ zsync

std::vector<UByteArray> zypp::media::ml_parsedata::zsync

Definition at line 205 of file metalinkparser.cc.

## ◆ chksum

UByteArray zypp::media::ml_parsedata::chksum

Definition at line 207 of file metalinkparser.cc.

## ◆ chksuml

int zypp::media::ml_parsedata::chksuml

Definition at line 208 of file metalinkparser.cc.

## ◆ _filename

std::optional<filesystem::Pathname> zypp::media::ml_parsedata::_filename

Definition at line 210 of file metalinkparser.cc.

## ◆ _lastError

std::exception_ptr zypp::media::ml_parsedata::_lastError

Definition at line 211 of file metalinkparser.cc.

The documentation for this struct was generated from the following file:

- zypp-curl/parser/metalinkparser.cc